# Podcast filter
This program takes a wav file and produces the transcript of the audio file. The goal is to be able to filter the parts of a podcast that you're interested in by using a keyword list. But it's still a work in progress.

## Installation on GNU+linux
### Step 1
Clone the repository

### Step 2
Go to the folder of the repository and reate a virtual environment
```bash
python -m venv <name>
```
### Step 3
Activate the environment
```bash
source <name>/bin/activate
```

### Step 4
Install the requirements (there's a ton because we use the whisper engine for speech to text)
```bash
pip install -r requirements.txt
```

## Installation on WSL
If for some reason you hate yourself and you want to use that malware bundled as an operating system that is Windows some issues might occur, even when using the windows subsystem for linux.

### Step 1-4
Same as in the GNU+Linux install

### Step 5
If you get the error:
```bash
Could not load library libcudnn_cnn_infer.so.8. Error: libcuda.so: cannot open shared object file: No such file or directory
```

You can solve it by:
1. Go to the library directory `cd /usr/lib/wsl/lib`
1. Backup the libraries you're going to fuck up just in case `mv libcuda.so.1 libcuda.so.1.bkp` and `mv libcuda.so.1 libcuda.so.bkp`
1. Then symlink the one that works as the ones that don't `ln -s libcuda.so.1.1 libcuda.so.1` and `ln -s libcuda.so.1.1 libcuda.so`
1. Finally update the symlinks `sudo ldconfig`

After that it should hopefully also work on WSL, if it doesn't just format your C: drive and install Linux ^^.

## Usage
Change the name of the file you want to transcribe in the code, make sure it's on the same folder as the program (or give the path in the code). Run the code `python app.py`. Enjoy the transcript.
